# Phonon Namespace Reference

### [com.trolltech.qt.phonon package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The Phonon prototype object
- String categoryToString(Category c)
- Path createPath(MediaNode source, MediaNode sink)
- MediaObject createPlayer(Category category, MediaSource source)
- char phononVersion()
- uint qHash(EffectParameter param)
- void registerMetaTypes()
- NoDisc = -1
- Cd = 0
- Dvd = 1
- Vcd = 2
- BluRay = 3
- DiscType( value )
- ArtistMetaData
- AlbumMetaData
- TitleMetaData
- DateMetaData
- GenreMetaData
- TracknumberMetaData
- DescriptionMetaData
- MusicBrainzDiscIdMetaData
- MetaData( value )
- NoCategory = -1
- NotificationCategory = 0
- MusicCategory = 1
- VideoCategory = 2
- CommunicationCategory = 3
- GameCategory = 4
- AccessibilityCategory = 5
- Category( value )
- AudioOutputDeviceType
- EffectType
- AudioChannelType
- SubtitleType
- AudioCaptureDeviceType
- VideoCaptureDeviceType
- ObjectDescriptionType( value )
- LoadingState
- StoppedState
- PlayingState
- BufferingState
- PausedState
- ErrorState
- State( value )
- NoError = 0
- NormalError = 1
- FatalError = 2
- ErrorType( value )